package com.ads.business.dao;

import com.ads.business.entity.Conversation;
import com.ads.business.service.model.response.ConversationListResponse;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 会话表 Mapper 接口
 * </p>
 *
 * @author hou
 * @since 2021-11-18
 */
public interface ConversationDao extends BaseMapper<Conversation> {

    /***
     * 分页
     * @param page
     * @param wrapper
     * @return
     */
    Page<ConversationListResponse> findPage(@Param("page") Page page, @Param(Constants.WRAPPER) QueryWrapper<ConversationListResponse> wrapper);
}
