package com.ads.business.dao;

import com.ads.business.entity.User;
import com.ads.business.service.data.UserOutData;
import com.ads.business.service.model.response.AdmUserListResponse;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 后台管理员表 Mapper 接口
 * </p>
 *
 * @author hou
 * @since 2021-10-21
 */
public interface UserDao extends BaseMapper<User> {

    Page<AdmUserListResponse> findPage(@Param("page") Page page, @Param(Constants.WRAPPER) QueryWrapper<AdmUserListResponse> wrapper);

    UserOutData getById(@Param("userId") Long userId);

}
