package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author hou
 * @since 2021-10-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsay_doc_history")
public class DocHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;
    /**
     * 文件id
     */
    private Long docId;

    /**
     * 文件分类id
     */
    private Long typeId;

    /**
     * 文件名称
     */
    private String name;

    /**
     * 文件地址
     */
    private String docUrl;

    /**
     * 链接地址
     */
    private String linkUrl;

    /**
     * 文件大小
     */
    private String fileSize;

    /**
     * 状态 1-启用 0-禁用
     */
    private Integer status;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private Long updateUser;

    /**
     * 更新时间
     */
    private Date updateTime;


}
