package com.ads.business.service;

import com.ads.business.entity.DocType;
import com.ads.business.entity.TypeRole;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author hou
 * @since 2021-10-21
 */
public interface TypeRoleService extends IService<TypeRole> {

    void insertAsync(List<String> role, DocType docType);

    /**
     * 根据文件分类ID获取授权的手机号码信息
     * @param typeId 文件分类ID
     * @return  List<String>
     */
    List<TypeRole> getMobileList(Long typeId);
}
