package com.ads.business.service.data;

import lombok.Data;

import java.util.List;

@Data
public class GetUserInData extends GetPageInData {

    /**
     * 用户ID
     */
    private Long id;

    /**
     * 姓名
     */
    private String name;

    /**
     * 账号
     */
    private String account;

    /**
     * 头像
     */
    private String headUrl;

    /**
     * 帐号启用状态：0->禁用；1->启用
     */
    private Integer status;

    /**
     * 用户角色
     */
    private List<Long> roleIds;

}
