package com.ads.business.service.impl;

import com.ads.business.entity.DocTypeConversationRel;
import com.ads.business.dao.DocTypeConversationRelDao;
import com.ads.business.service.DocTypeConversationRelService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author hou
 * @since 2021-11-22
 */
@Service
public class DocTypeConversationRelServiceImpl extends ServiceImpl<DocTypeConversationRelDao, DocTypeConversationRel> implements DocTypeConversationRelService {

    @Override
    public List<String> getListByTypeId(Long typeId) {
        return baseMapper.getListByTypeId(typeId);
    }
}
