package com.ads.business.service.model.request;

import com.ads.common.base.BasePageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Return
 * @Author hou
 * @Date 2021/10/25 9:22
 * @Destription
 */
@Data
@ApiModel("后台用户列表请求")
public class AdmUserListRequest extends BasePageRequest {

    @ApiModelProperty("账号")
    private String account;

    @ApiModelProperty("姓名")
    private String name;
}
