package com.ads.business.service.model.request;

import com.ads.common.base.BasePageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/** 
* @Description:  会话管理列表入参
* @Author: JJC 
* @Date: 2021/11/19  16:27
*/ 
@Data
@ApiModel("会话管理列表入参")
public class ConversationListRequest extends BasePageRequest {
    /**
     * 群名称
     */
    @ApiModelProperty("群名称")
    private String conversationName;

    /**
     * 群主名称
     */
    @ApiModelProperty("群主名称")
    private String ownerName;
}
