package com.ads.business.service.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Return
 * @Author hou
 * @Date 2021/9/3 16:50
 * @Destription
 */

@Data
@ApiModel(description = "查询部门列表请求")
public class DepartmentUserListRequest {

    @ApiModelProperty(name = "部门id",required = true)
    private Long parentId;

    @ApiModelProperty(name = "页码数",required = false)
    private Long page = 0L;

    @ApiModelProperty(name = "每页数量",required = false)
    private Long pageSize = 0L;
}
