package com.ads.business.service.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Return
 * @Author hou
 * @Date 2021/10/26 17:12
 * @Destription
 */
@Data
@ApiModel(description = "修改状态入参")
public class UpdateSwitchRequest {

    @ApiModelProperty("ID")
    @NotNull(message = "ID不能为空")
    private String id;

    @ApiModelProperty("状态")
    @NotNull(message = "状态不能为空")
    private Integer status;
}
