package com.ads.business.service.model.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: stamm
 * @Date: 2021/11/24/11:48
 */
@Data
public class ConversationTypeResponse {
    /**
     * 群会话的ID(后续版本中chatid将不再使用，请将openConversationId作为群会话唯一标识。)
     */
    @ApiModelProperty("群会话的ID")
    private String chatId;

    /**
     * 新群会话的ID
     */
    @ApiModelProperty("新群会话的ID")
    private String openConversationId;
}
