package com.ads.business.service.model.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author ludilong
 * @Date 2021/10/25 10:38
 * @Destription 获取文件列表参数信息
 */
@Data
@ApiModel(description = "查询文件历史记录列表返回结果")
public class DocHistoryListResponse {

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("文件Id")
    private Long docId;

    @ApiModelProperty("文件名称")
    private String name;

    @ApiModelProperty("文件地址")
    private String docUrl;

    @ApiModelProperty("链接地址")
    private String linkUrl;


    @ApiModelProperty("创建人")
    private String createUser;

    @ApiModelProperty("创建时间")
    private Date createTime;
}
