package com.ads.common.util;

/**
 * @author wuyifeng
 * @Description 提示语
 * @Date 2020/3/18 16:13
 */
public class UtilMessage {
    /**
     * 通用提示 start
     */
    /*------- 通用的获取数据提示 start -------------------- */
    public static final String SUCCESS = "成功！";//提示：成功！
    public static final String ADD_SUCCESS = "新增成功！";//提示：成功！
    public static final String SYNC_SUCCESS = "同步成功！";//提示：成功！
    public static final String GET_MESSAGE_SUCCESS = "获取数据成功！";//提示：获取数据成功！
    public static final String GET_MESSAGE_ERROR = "获取数据失败！";//提示：获取数据失败！

    public static final String PASSWORD_MESSAGE_SUCCESS = "密码重置成功！";//提示：密码重置成功！
    public static final String PASSWORD_MESSAGE_ERROR = "密码重置失败！";//提示：密码重置失败！

    /*------- 通用的保存提示 start --------------------*/
    public static final String SAVE_MESSAGE_SUCCESS = "保存成功！";//提示：保存成功！
    public static final String SAVE_MESSAGE_ERROR = "保存失败！";//提示：保存失败！

    public static final String IMPORT_MESSAGE_SUCCESS = "导入成功！";//提示：导入成功！
    public static final String IMPORT_MESSAGE_ERROR = "导入失败！";//提示：导入失败！

    public static final String EXPORT_MESSAGE_SUCCESS = "提示：导出成功！";//提示：导出成功！
    public static final String EXPORT_MESSAGE_ERROR = "提示：导出失败！";//提示：导出失败！
    public static final String NO_DATA_EXPORT = "无数据导出！";//提示：无数据导出！

    public static final String DISABLE_MESSAGE_SUCCESS = "禁用成功！";//提示：禁用成功！
    public static final String DISABLE_MESSAGE_ERROR = "禁用失败！";//提示：禁用失败！

    public static final String ENABLE_MESSAGE_SUCCESS = "启用成功！";//提示：启用成功！
    public static final String ENABLE_MESSAGE_ERROR = "启用失败！";//提示：启用失败！

    public static final String AUDITS_MESSAGE_SUCCESS = "审核成功！";//提示：审核成功！
    public static final String AUDITS_MESSAGE_ERROR = "审核失败！";//提示：审核失败！

    /*------- 通用的删除提示 start --------------------*/
    public static final String DEL_MESSAGE_SUCCESS = "删除成功！";//提示：删除成功！
    public static final String DEL_MESSAGE_ERROR = "删除失败！";//提示：删除失败！
    public static final String DEL_MESSAGE_ONE = "至少保留一条！";//提示：至少保留一条！

    /*------- 通用的发送提示 start --------------------*/
    public static final String SEND_MESSAGE_SUCCESS = "消息发送成功！";//提示：消息发送成功！
    public static final String SEND_MESSAGE_ERROR = "消息发送失败！";//提示：消息发送失败！

    public static final String SEND_SMS_CODE_MESSAGE_SUCCESS = "send.sms.code.message.success";//提示：验证码发送成功！
    public static final String SEND_SMS_CODE_MESSAGE_ERROR = "send.sms.code.message.error";//提示：验证码发送失败！

    public static final String SEND_SMS_MESSAGE_SUCCESS = "send.sms.message.success";//提示：发送短信成功！
    public static final String SEND_SMS_MESSAGE_ERROR = "send.sms.message.error";//提示：发送短信失败！

    /*------- 通用的文件提示 start --------------------*/
    public static final String UPLOAD_MESSAGE_SUCCESS = "上传成功！";//提示：上传成功！
    public static final String UPLOAD_MESSAGE_ERROR = "upload.message.error";//提示：上传失败！
    public static final String FILE_EXPORT_TEMPLATE_ERROR = "file.export.template.error";// 提示：导出模板不存在

    public static final String IMPORT_ROW_DATA_EMPTY = "import.row.data.empty";// 第{}行「{}」不能为空!

    /*------- 通用的参数提示 start --------------------*/
    public static final String VALID_ARG_NOT_NULL = "valid.arg.not.null";//提示：{0}不能为空
    public static final String VALID_LENGTH = "valid.length";//提示：{0}长度太长
    public static final String VALID_MIN_LENGTH = "valid.min.length";//提示：{0}长度太短
    public static final String VALID_VALUE = "valid.value";//提示：{0}数值太大
    public static final String VALID_MIN_VALUE = "valid.min.value";//提示：{0}数值太小
    public static final String VALID_SPACE_ERR = "space.err";//提示：{0}不能存在空格
    public static final String VALID_FORMAT = "valid.format";//提示：{0}格式错误
    public static final String VALID_NUMBER_FORMAT = "number.format";//提示：{0}只能是正整数
    public static final String VALID_NUMBER_INTEGER_FORMAT = "number.integer.format";//提示：{0}只能是整数
    public static final String VALID_NUMBER_NOT_LEGAL = "number.not.legal";//提示：{0}不合法

    /*------- 通用的登录提示 start --------------------*/
    public static final String ERROR_MESSAGE = "服务器出现了一些小状况，正在修复中！";//提示：服务器出现了一些小状况，正在修复中！

    public static final String LOGIN_SUCCESS = "登录成功！";//提示：登录成功！
    public static final String LOGIN_ERROR = "login.error";//提示：登录失败！

    public static final String LOGIN_OUT_SUCCESS = "登出成功";//提示：登出成功！

    public static final String LOGIN_NO_ACCOUNT = "账号不存在";//提示：账号不存在

    public static final String LOGIN_ACCOUNT_INVALID = "账号已禁用";//提示：账号已禁用

    public static final String LOGIN_STATUS_ERROR = "login.status.error";//提示：账号已失效，请重新登录！

    public static final String LOGIN_PASSWORD_ERROR = "密码不正确";//提示：密码不正确

    public static final String LGOIN_NO_ACCESS_ERROR = "login.no.access.error";//提示：无访问权限，限制访问！

    public static final String UPDATE_PWD_LENGTH = "update.pwd.length";//提示：请保持密码长度在6-20位

    public static final String UPDATE_PWD_SAME_PASSWORD = "新密码和旧密码不能相同";//提示：新密码和旧密码不能相同

    public static final String UPDATE_PWD_OLD_PASSWORD_ERROR = "update.pwd.old.password.error";//提示：旧密码错误

    public static final String UPDATE_PWD_IS_NULL = "update.pwd.is.null";//提示：密码不能为空

    public static final String UPDATE_PHONE_IS_NULL = "update.phone.is.null";//提示：手机不能为空

    public static final String LOGIN_CODE_ERROR = "login.code.error";//提示：动态验证码错误

    public static final String HTTP_ERROR = "请求错误！";//提示：请求错误！
    /**
     * 通用提示 end
     */

    /*--------- 系统管理--------*/
    public static final String USER_EMPTY = "用户不存在";// 提示：用户不存在
    public static final String USER_ACCOUNT_EXIST = "账号已存在，请重新输入";// 提示：账号已存在，请重新输入
    public static final String USER_ADMIN_DELETE = "user.admin.delete";// 提示：管理员不能被删除
    public static final String ROLE_EMPTY = "role.empty";// 提示：角色不存在
    public static final String ROLE_NAME_EXIST = "role.name.exist";// 提示：名称已存在，请重新输入
    public static final String ROLE_ADMIN_DELETE = "role.admin.delete"; // 提示：管理员角色不可删除
    public static final String DATA_EMPTY = "数据不存在";// 提示：用户不存在

    /*--------- Quartz 定时任务--------*/
    public static final String GET_QUARTZ_INFO_SUCCESS = "提示: 获取定时任务列表";

    public static final String QUARTZ_IN_PARAM_IS_NOT_EXIST = "提示: 定时任务入参不存在";

    public static final String QUARTZ_INFO_IS_EXIST = "提示: 定时任务已存在";

    public static final String QUARTZ_INFO_UPDATE_SUCCESS = "提示: 定时任务修改成功";


    public static final String CONVERSATION_NOT_EXIST = "提示: 会话不存在";

    public static final String DING_USER_NOT_EXIST = "手机号：%s不在企业组织架构中";
}
