package com.ads.business.dao;

import com.ads.business.entity.DocRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author hou
 * @since 2021-11-10
 */
public interface DocRoleDao extends BaseMapper<DocRole> {

    void insertBatch(@Param("list")ArrayList<DocRole> list);

    List<String> getMobileList(@Param("docId") Long docId);
}
