package com.ads.business.dao;

import com.ads.business.entity.DocTypeConversationRel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author hou
 * @since 2021-11-22
 */
public interface DocTypeConversationRelDao extends BaseMapper<DocTypeConversationRel> {

    List<DocTypeConversationRel> getList(@Param("typeId") Long typeId);

    List<String> getListByTypeId(@Param("typeId") Long typeId);

    List<DocTypeConversationRel> getListByMobile(@Param("typeId") Long typeId,@Param("mobile") String mobile);
}
