package com.ads.business.service;


import com.ads.business.service.data.GetFileOutData;
import com.ads.common.data.GetPicturePathOutData;
import org.springframework.web.multipart.MultipartFile;

public interface FileService {

	/**
	 * 
	 * @author 作者 wuyifeng
	 * @date 创建时间 2020年8月3日
	 * @Description 获取上传图片路径
	 * @param @param imageName
	 * @param @return
	 * @return ImagePath
	 */
	GetPicturePathOutData createUploadPath(String pictureName);

	/**
	 * 
	 * @author 作者 wuyifeng
	 * @date 创建时间 2020年8月3日
	 * @Description 保存图片
	 * @param @param bytes
	 * @param @param imagePath
	 * @param @throws Exception
	 * @return void
	 */
	void savePicture(byte[] bytes, GetPicturePathOutData picturePath) throws Exception;


}
