package com.ads.business.service.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author: stamm
 * @Date: 2021/11/22/9:38
 */
@Data
@ApiModel(description = "群会话相关入参")
public class ConversationRequest {

    @ApiModelProperty("群会话的ID")
    @NotBlank(message = "群会话的ID不能为空")
    private String chatId;

    @ApiModelProperty("新群会话的ID")
    @NotBlank(message = "新群会话的ID不能为空")
    private String openConversationId;
}
