package com.ads.business.service.model.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Return
 * @Author hou
 * @Date 2021/10/25 9:24
 * @Destription
 */
@Data
@ApiModel("后台用户列表响应")
public class AdmUserListResponse {

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("账号")
    private String account;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("状态 0-禁用 1-启用")
    private Integer status;

    @ApiModelProperty("创建人")
    private String createUserName;

    @ApiModelProperty("创建时间")
    private String createTime;
}
