package com.ads.business.service.model.response;

import com.ads.business.entity.DocConversationRel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author ludilong
 * @Date 2021/10/25 10:38
 * @Destription 修改文件输出参数
 */
@Data
@ApiModel(description = "修改文件输出参数")
public class DocResponse {

    @ApiModelProperty("文件ID")
    private String id;

    @ApiModelProperty("文件分类")
    private String typeId;

    @ApiModelProperty("文件名称")
    private String name;

    @ApiModelProperty("文件地址")
    private String docUrl;

    @ApiModelProperty("链接地址")
    private String linkUrl;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("文件大小")
    private String fileSize;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("访问权限")
    private List<String> role;

    @ApiModelProperty("群会话列表")
    private List<DocConversationRel> conversationList;
}
