package com.ads.business.service.model.response;

import com.ads.business.entity.DocTypeConversationRel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Return
 * @Author hou
 * @Date 2021/10/25 13:23
 * @Destription
 */
@Data
@ApiModel("文件分类详情响应")
public class DocTypeDetailResponse {

    @ApiModelProperty("文件分类id")
    private String typeId;

    @ApiModelProperty("分类名称")
    private String name;

    @ApiModelProperty("链接地址")
    private String linkUrl;

    @ApiModelProperty("状态 1-启用 0-禁用")
    private Integer status;

    @ApiModelProperty("访问权限")
    private List<String> role;

    @ApiModelProperty("群会话列表")
    private List<DocTypeConversationRel> conversationList;
}
