package com.ads.business.service.model.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.LinkedList;

/**
 * @author: stamm
 * @Date: 2021/11/02/13:27
 */
@Data
@ApiModel("移动端文件详情响应")
public class PdfDetailResponse {
    @ApiModelProperty("文件路径")
    private String path;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("文件图片列表")
    private LinkedList<String> imageFiles;
}
