package com.ads.common.exception;

import lombok.Data;

/**
 * @author yuqiang
 * @Description 用于字符串格式化的异常
 * @Date 2020/9/3 3:05 下午
 */
@Data
public class FormatException extends RuntimeException {

    private static final long serialVersionUID = 2271049397158761419L;

    private String[] params;

    public FormatException(String message, String... params) {
        super(message);
        this.params = params;
    }
}
